Module javafx.web
Package javafx.scene.web

# Class PopupFeatures

java.lang.Object
javafx.scene.web.PopupFeatures

    public final class PopupFeatures
    extends Object

This class describes features of a Web popup window as specified by JavaScript `window.open` function. Instances are passed into popup handlers registered on a `WebEngine` using `WebEngine.setCreatePopupHandler(javafx.util.Callback<javafx.scene.web.PopupFeatures, javafx.scene.web.WebEngine>)` method.

Since:
  JavaFX 2.0
See Also:
  `WebEngine`, `WebEngine.setCreatePopupHandler(javafx.util.Callback<javafx.scene.web.PopupFeatures, javafx.scene.web.WebEngine>)`

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `PopupFeatures​(boolean menu, boolean status, boolean toolbar, boolean resizable)` | Creates a new instance.

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `boolean` | `hasMenu()` | Returns whether menu bar should be present.
  `boolean` | `hasStatus()` | Returns whether status bar should be present.
  `boolean` | `hasToolbar()` | Returns whether tool bar should be present.
  `boolean` | `isResizable()` | Returns whether popup window should be resizable.

  ### Methods declared in class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### PopupFeatures

    public PopupFeatures​(boolean menu, boolean status, boolean toolbar, boolean resizable)
    Creates a new instance.
    Parameters:
      `menu` - whether menu bar should be present
      `status` - whether status bar should be present
      `toolbar` - whether tool bar should be present
      `resizable` - whether popup window should be resizable

- ## Method Details

  - ### hasMenu

    public final boolean hasMenu()
    Returns whether menu bar should be present.
    Returns:
      true if the menu bar should be present

  - ### hasStatus

    public final boolean hasStatus()
    Returns whether status bar should be present.
    Returns:
      true if the status bar should be present

  - ### hasToolbar

    public final boolean hasToolbar()
    Returns whether tool bar should be present.
    Returns:
      true if the tool bar should be present

  - ### isResizable

    public final boolean isResizable()
    Returns whether popup window should be resizable.
    Returns:
      true if the popup window should be resizable